Skip to content
Ask AI

Interface-Netconf

YANG Pathget/get-configedit-configrpc
/clear-counters-interface——Y
/clear-dhcp-snooping-drop-pkts——Y
/clear-router-interface——Y
/clear-vlan-membership——Y
/config-lag-group——Y
/config-port-group——Y
/interfaces/{name}Ymerge, delete—
/interfaces/{name}/bandwidth-util-warnYmerge, replace, create, delete—
/interfaces/{name}/ethernet-configYmerge—
/interfaces/{name}/ipv4Ymerge, replace, create, delete—
/interfaces/{name}/ipv4/address/{ip-prefix}Yreplace, create, delete—
/interfaces/{name}/ipv4/neighbor/{ip}Ymerge, replace, create, delete—
/interfaces/{name}/ipv6Ymerge, replace, create, delete—
/interfaces/{name}/ipv6/address/{ip-prefix}Yreplace, create, delete—
/interfaces/{name}/ipv6/neighbor/{ip}Ymerge, replace, create, delete—
/interfaces/{name}/ipv6/router-advertisementYmerge, replace, create, delete—
/interfaces/{name}/ipv6/router-advertisement/prefixes/{prefix}Yreplace, create, delete—
/interfaces/{name}/ipv6/router-advertisement/rdnsses/{rdnss}Yreplace, create, delete—
/interfaces/{name}/ipv6/router-advertisement/routes/{route}Ymerge, replace, create, delete—
/interfaces/{name}/l2-protocol-control/{protocol-type}Ymerge, replace, create, delete—
/interfaces/{name}/link-flappingYmerge, replace, create, delete—
/interfaces/{name}/statisticsY——
/portchannels/{name}Ymerge, replace, create, delete—
/portchannels/{name}/members/{port}Ymerge, replace, create, delete—
/ports-globalYmerge, replace, create, delete—
/show-bandwidth-util-threshold-warn——Y
/show-counters-interface——Y
/show-interface-port——Y
/show-interface-summary——Y
/show-interface-urpf——Y
/show-ip-interface——Y
/show-ipv4-neighbor-summary——Y
/show-ipv6-interface——Y
/show-ipv6-neighbor-summary——Y
/show-link-aggregation-summary——Y
/show-sub-interface——Y

Interface module provides a way to configure and manage network interfaces on AsterNOS devices. It supports various types of interfaces, including:

  • Ethernet, physical interfaces that connect to other network devices.
  • PortChannel, logical interfaces that aggregate multiple physical interfaces into a single logical interface.
  • Vlanif, virtual interfaces that are associated with a VLAN.
  • Sub-Ethernet, sub-interfaces that are created on top of a physical Ethernet interface.
  • Sub-PortChannel, sub-interfaces that are created on top of a PortChannel interface.
  • Loopback, virtual interfaces that are used for testing and troubleshooting.

For each type of interface, it has specific configuration options and parameters.

Ethernet interface and Loopback0 can’t be deleted, other types of interfaces can be created and deleted.

Before creating PortChannel Interface , user should create PortChannel in asternos-portchannels module.

Before creating Sub-Ethernet or Sub-PortChannel Interface, user should make sure the parent interface exists.

Before creating Vlanif Interface, user should create VLAN in asternos-vlans module.

There are some config false nodes in the yang model, such as statistics, oper-status, etc.

These nodes are read-only and can’t be configured via netconf, so these nodes cannot be retrieved by get-config.

If you want to get these nodes, you can use get to retrieve all configuration and operational data.

Get All Existing Interfaces Configuration On Device

Section titled “Get All Existing Interfaces Configuration On Device”

Request example to retrieve all interface configurations on the device via rpc get-config.

<filter type="subtree">
<top>
<interfaces/>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:fe9f644f-777d-47be-93fe-04a3f4cc9730">
<data>
<top>
<interfaces xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
<interface>
<name>Ethernet1</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<mtu>9216</mtu>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
</ethernet-config>
</interface>
<interface>
<name>Ethernet2</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<mtu>9216</mtu>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
</ethernet-config>
</interface>
<interface>
<name>Ethernet3</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<mtu>9216</mtu>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
</ethernet-config>
</interface>
<interface>
<name>Ethernet4</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<mtu>9216</mtu>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
</ethernet-config>
</interface>
<interface>
<name>Ethernet5</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<mtu>9216</mtu>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
</ethernet-config>
</interface>
<interface>
<name>Ethernet6</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<mtu>9216</mtu>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
</ethernet-config>
</interface>
<interface>
<name>Ethernet7</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<mtu>9216</mtu>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
</ethernet-config>
</interface>
<interface>
<name>Ethernet8</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<mtu>9216</mtu>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
</ethernet-config>
</interface>
<!-- more -->
<interface>
<name>Loopback0</name>
<admin-status>true</admin-status>
<interface-mode>routed</interface-mode>
<ipv4 xmlns="http://asterfusion.com/ns/yang/asternos-ip">
<address>
<ip-prefix>10.1.0.1/32</ip-prefix>
</address>
</ipv4>
<ipv6 xmlns="http://asterfusion.com/ns/yang/asternos-ip"/>
</interface>
</interfaces>
</top>
</data>
</rpc-reply>

Request example to retrieve current and supported breakout modes for a port via rpc get.

<filter type="subtree">
<top>
<breakout-modes>
<breakout-mode>
<name>Ethernet53</name>
</breakout-mode>
</breakout-modes>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:c03a355c-70df-4ac3-b4c1-9d26f7b19286">
<data>
<top>
<breakout-modes xmlns="http://asterfusion.com/ns/yang/asternos-breakout">
<breakout-mode>
<name>Ethernet53</name>
<supported-breakout-modes>4x25G</supported-breakout-modes>
<supported-breakout-modes>4x10G</supported-breakout-modes>
</breakout-mode>
</breakout-modes>
</top>
</data>
</rpc-reply>

Request example to set breakout mode to 4x25G via rpc edit-config.

<config><top>
<breakout-modes>
<breakout-mode operation="merge">
<name>Ethernet53</name>
<breakout-mode>4x25G</breakout-mode>
</breakout-mode>
</breakout-modes>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:1f8cbaa9-ff66-48d1-b66d-68a8092500ed">
<ok/>
</rpc-reply>

Request example to cancel breakout and revert the port to its default mode via rpc edit-config.

<config><top>
<breakout-modes>
<breakout-mode operation="delete">
<name>Ethernet53</name>
</breakout-mode>
</breakout-modes>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:1f8cbaa9-ff66-48d1-b66d-68a8092500ed">
<ok/>
</rpc-reply>

Get Single Interface configuration on Device

Section titled “Get Single Interface configuration on Device”

Request example to retrieve a single interface configuration on the device via rpc get-config.

<filter type="subtree">
<top>
<interfaces>
<interface>
<name>Ethernet22</name>
</interface>
</interfaces>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:c7110908-49d7-42b8-a42c-8cbdd30701bd">
<data>
<top>
<interfaces xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
<interface>
<name>Ethernet22</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<mtu>9216</mtu>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
</ethernet-config>
</interface>
</interfaces>
</top>
</data>
</rpc-reply>

Get Configuration and Operational Data for Single Interface

Section titled “Get Configuration and Operational Data for Single Interface”

Use get rather than get-config to retrieve both configuration and operational data.

Request example to retrieve both configuration and operational data for a single interface via rpc get.

<filter type="subtree">
<top>
<interfaces>
<interface>
<name>Ethernet22</name>
</interface>
</interfaces>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:732b6696-ff9e-40dc-a1ef-39d24a51816a">
<data>
<top>
<interfaces xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
<interface>
<name>Ethernet22</name>
<admin-status>true</admin-status>
<interface-mode>none</interface-mode>
<oper-status>true</oper-status>
<mtu>9216</mtu>
<statistics>
<in-octets>0</in-octets>
<in-unicast-pkts>0</in-unicast-pkts>
<in-broadcast-pkts>0</in-broadcast-pkts>
<in-multicast-pkts>0</in-multicast-pkts>
<in-discards>0</in-discards>
<in-errors>0</in-errors>
<in-ipv4-pkts>0</in-ipv4-pkts>
<in-ipv4-octets>0</in-ipv4-octets>
<in-ipv6-pkts>0</in-ipv6-pkts>
<in-ipv6-octets>0</in-ipv6-octets>
<out-octets>1880976</out-octets>
<out-unicast-pkts>0</out-unicast-pkts>
<out-broadcast-pkts>0</out-broadcast-pkts>
<out-multicast-pkts>6769</out-multicast-pkts>
<out-discards>0</out-discards>
<out-errors>0</out-errors>
<out-ipv4-octets>0</out-ipv4-octets>
<out-ipv6-octets>536</out-ipv6-octets>
</statistics>
<ethernet-config xmlns="http://asterfusion.com/ns/yang/asternos-ports">
<auto-negotiate>true</auto-negotiate>
<port-speed>SPEED_25G</port-speed>
<lanes>21</lanes>
<index>21</index>
<alias>Y22</alias>
</ethernet-config>
<transceiver xmlns="http://asterfusion.com/ns/yang/asternos-transceiver">
<lpmode>false</lpmode>
<presence>false</presence>
<eeprom>
<dom/>
</eeprom>
</transceiver>
</interface>
</interfaces>
</top>
</data>
</rpc-reply>

Request example to get interface counters via rpc show-counters-interface

<show-counters-interface>
<name>Ethernet1</name>
<all>true</all>
<json>true</json>
</show-counters-interface>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:a64fa98e-2f0e-427f-8112-44d3d460c182">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">{
"Ethernet1": {
"RX_BPS": "0.00 B/s",
"RX_DRP": "0",
"RX_ERR": "0",
"RX_OK": "0",
"RX_OVR": "0",
"RX_PPS": "0.00/s",
"RX_UTIL": "0.00%",
"STATE": "U",
"TRIM": "N/A",
"TX_BPS": "148.00 B/s",
"TX_DRP": "0",
"TX_ERR": "0",
"TX_OK": "7,038",
"TX_OVR": "0",
"TX_PPS": "0.50/s",
"TX_UTIL": "0.00%"
}
}
</data>
</rpc-reply>

Request example to get all interface counters in table format via rpc show-counters-interface

<show-counters-interface>
<all>true</all>
</show-counters-interface>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:0f6559af-da46-47b5-8779-9f29e409068f">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
IFACE STATE RX_OK RX_BPS RX_PPS RX_UTIL RX_ERR RX_DRP RX_OVR TX_OK TX_BPS TX_PPS TX_UTIL TX_ERR TX_DRP TX_OVR TRIM
---------- ------- ------- -------- -------- --------- -------- -------- -------- ------- ---------- -------- --------- -------- -------- -------- ------
Ethernet1 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 148.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet2 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 148.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet3 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 148.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet4 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 148.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet5 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 148.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet6 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 148.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet7 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 148.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet8 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 148.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet9 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 148.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet10 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet11 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet12 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet13 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet14 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet15 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet16 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet17 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet18 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet19 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet20 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet21 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet22 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet23 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet24 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet25 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet26 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet27 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet28 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet29 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet30 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet31 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet32 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet33 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet34 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet35 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet36 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet37 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet38 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet39 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet40 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet41 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet42 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet43 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet44 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet45 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet46 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet47 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet48 U 0 0.00 B/s 0.00/s 0.00% 0 0 0 8,108 149.00 B/s 0.50/s 0.00% 0 0 0 N/A
Ethernet49 D 0 0.00 B/s 0.00/s 0.00% 0 0 0 0 0.00 B/s 0.00/s 0.00% 0 0 0 N/A
Ethernet53 D 0 0.00 B/s 0.00/s 0.00% 0 0 0 0 0.00 B/s 0.00/s 0.00% 0 0 0 N/A
Ethernet57 D 0 0.00 B/s 0.00/s 0.00% 0 0 0 0 0.00 B/s 0.00/s 0.00% 0 0 0 N/A
Ethernet61 D 0 0.00 B/s 0.00/s 0.00% 0 0 0 0 0.00 B/s 0.00/s 0.00% 0 0 0 N/A
Ethernet65 D 0 0.00 B/s 0.00/s 0.00% 0 0 0 0 0.00 B/s 0.00/s 0.00% 0 0 0 N/A
Ethernet69 D 0 0.00 B/s 0.00/s 0.00% 0 0 0 0 0.00 B/s 0.00/s 0.00% 0 0 0 N/A
Ethernet73 D 0 0.00 B/s 0.00/s 0.00% 0 0 0 0 0.00 B/s 0.00/s 0.00% 0 0 0 N/A
Ethernet77 D 0 0.00 B/s 0.00/s 0.00% 0 0 0 0 0.00 B/s 0.00/s 0.00% 0 0 0 N/A
</data>
</rpc-reply>

Request example to clear all interfaces counters on device via rpc clear-counters-interface

<clear-counters-interface/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0"
message-id="urn:uuid:d5fba0e0-32ad-4b5b-a188-6637efe2337b">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">Cleared counters</data>
</rpc-reply>

Create L3 Interface and Configure L3 Interface Attributes

Section titled “Create L3 Interface and Configure L3 Interface Attributes”

Request example to create L3 interfaces and configure L3 interface attributes

<config><top>
<interfaces operation="merge">
<interface>
<name>Ethernet11</name>
<interface-mode>routed</interface-mode>
<mac-address>00:00:00:00:00:01</mac-address>
<mtu>1500</mtu>
<ipv4>
<address>
<ip-prefix>10.0.0.1/24</ip-prefix>
</address>
</ipv4>
</interface>
<interface>
<name>Ethernet12</name>
<interface-mode>routed</interface-mode>
<mac-address>00:00:00:00:00:02</mac-address>
<mtu>8192</mtu>
<ipv6>
<address>
<ip-prefix>2000::1/64</ip-prefix>
</address>
<address>
<ip-prefix>3000::1/64</ip-prefix>
</address>
</ipv6>
</interface>
<interface>
<name>Loopback1</name>
<ipv4>
<address>
<ip-prefix>60.0.0.1/24</ip-prefix>
</address>
</ipv4>
</interface>
</interfaces>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0"
message-id="urn:uuid:e2450f35-4d62-4cd3-8860-579a84792681">
<ok/>
</rpc-reply>

Deleting an interface will also remove any associated configuration, such as IP addresses.

Physical Ethernet interfaces cannot be deleted.

Use ‘interface-mode’ to change the mode of a physical interface.

Request example to delete L3 interfaces and change physical interfaces to L2 mode

<config><top>
<interfaces>
<interface operation="merge">
<name>Ethernet11</name>
<interface-mode>none</interface-mode>
</interface>
<interface operation="merge">
<name>Ethernet12</name>
<interface-mode>none</interface-mode>
</interface>
<interface operation="delete">
<name>Loopback1</name>
</interface>
</interfaces>
</top></config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:6362a058-9ebb-49a1-bc8f-9f4809258c8c">
<ok/>
</rpc-reply>
<config><top>
<interfaces operation="merge">
<interface>
<name>Ethernet1</name>
<ethernet-config>
<port-speed>SPEED_1G</port-speed>
<fec>none</fec>
</ethernet-config>
<admin-status>true</admin-status>
</interface>
<interface>
<name>Ethernet2</name>
<ethernet-config>
<port-speed>SPEED_1G</port-speed>
<fec>none</fec>
</ethernet-config>
<admin-status>true</admin-status>
</interface>
<interface>
<name>Ethernet49</name>
<ethernet-config>
<port-speed>SPEED_1G</port-speed>
<fec>rs</fec>
</ethernet-config>
<admin-status>false</admin-status>
</interface>
</interfaces>
</top></config>

Request example shows a summary of all interfaces in a table format via rpc show-interface-summary

<show-interface-summary/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:eed0ac03-b443-4e74-a45b-b9228935f449">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
Interface Lanes Speed MTU FEC Alias Vlan Oper Admin Type Loopback Asym PFC
----------- ------- ------- ----- ----- ---------- ------ ------ ------- -------------- ---------- ----------
Ethernet1 0 1G 9216 none Ethernet1 N/A down up N/A none N/A
Ethernet2 1 1G 9216 none Ethernet2 N/A up down N/A internal N/A
Ethernet3 2 1G 9216 none Ethernet3 N/A down up N/A none N/A
Ethernet4 3 1G 9216 none Ethernet4 N/A down up N/A none N/A
Ethernet5 4 1G 9216 none Ethernet5 N/A down up N/A none N/A
Ethernet6 5 1G 9216 none Ethernet6 N/A down up N/A none N/A
Ethernet7 6 1G 9216 none Ethernet7 N/A down up N/A none N/A
Ethernet8 7 1G 9216 none Ethernet8 N/A down up N/A none N/A
Ethernet9 8 1G 9216 none Ethernet9 N/A down up N/A none N/A
Ethernet10 9 1G 9216 none Ethernet10 N/A down up N/A none N/A
Ethernet11 10 1G 9216 none Ethernet11 N/A down up N/A none N/A
Ethernet12 11 1G 9216 none Ethernet12 N/A down up N/A none N/A
Ethernet13 12 1G 9216 none Ethernet13 N/A down up N/A none N/A
Ethernet14 13 1G 9216 none Ethernet14 N/A down up N/A none N/A
Ethernet15 14 1G 9216 none Ethernet15 N/A down up N/A none N/A
Ethernet16 15 1G 9216 none Ethernet16 N/A down up N/A none N/A
Ethernet17 16 1G 9216 none Ethernet17 N/A down up N/A none N/A
Ethernet18 17 1G 9216 none Ethernet18 N/A down up N/A none N/A
Ethernet19 18 1G 9216 none Ethernet19 N/A down up N/A none N/A
Ethernet20 19 1G 9216 none Ethernet20 N/A down up N/A none N/A
Ethernet21 20 1G 9216 none Ethernet21 N/A down up N/A none N/A
Ethernet22 21 1G 9216 none Ethernet22 N/A down up N/A none N/A
Ethernet23 22 1G 9216 none Ethernet23 N/A down up N/A none N/A
Ethernet24 23 1G 9216 none Ethernet24 N/A down up N/A none N/A
Ethernet25 24 1G 9216 none Ethernet25 N/A down up N/A none N/A
Ethernet26 25 1G 9216 none Ethernet26 N/A down up N/A none N/A
Ethernet27 26 1G 9216 none Ethernet27 N/A down up N/A none N/A
Ethernet28 27 1G 9216 none Ethernet28 N/A down up N/A none N/A
Ethernet29 28 1G 9216 none Ethernet29 N/A down up N/A none N/A
Ethernet30 29 1G 9216 none Ethernet30 N/A down up N/A none N/A
Ethernet31 30 1G 9216 none Ethernet31 N/A down up N/A none N/A
Ethernet32 31 1G 9216 none Ethernet32 N/A down up N/A none N/A
Ethernet33 32 1G 9216 none Ethernet33 N/A down up N/A none N/A
Ethernet34 33 1G 9216 none Ethernet34 N/A down up N/A none N/A
Ethernet35 34 1G 9216 none Ethernet35 N/A down up N/A none N/A
Ethernet36 35 1G 9216 none Ethernet36 N/A down up N/A none N/A
Ethernet37 36 1G 9216 none Ethernet37 N/A down up N/A none N/A
Ethernet38 37 1G 9216 none Ethernet38 N/A down up N/A none N/A
Ethernet39 38 1G 9216 none Ethernet39 N/A down up N/A none N/A
Ethernet40 39 1G 9216 none Ethernet40 N/A down up N/A none N/A
Ethernet41 40 1G 9216 none Ethernet41 N/A down up N/A none N/A
Ethernet42 41 1G 9216 none Ethernet42 N/A down up N/A none N/A
Ethernet43 42 1G 9216 none Ethernet43 N/A down up N/A none N/A
Ethernet44 43 1G 9216 none Ethernet44 N/A down up N/A none N/A
Ethernet45 44 1G 9216 none Ethernet45 N/A down up N/A none N/A
Ethernet46 45 1G 9216 none Ethernet46 N/A down up N/A none N/A
Ethernet47 46 1G 9216 none Ethernet47 N/A down up N/A none N/A
Ethernet48 47 1G 9216 none Ethernet48 N/A down up N/A none N/A
Ethernet49 48 25G 9216 none Ethernet49 N/A down up N/A none N/A
Ethernet50 49 25G 9216 none Ethernet50 N/A up down N/A internal N/A
Ethernet51 50 25G 9216 none Ethernet51 N/A down up N/A none N/A
Ethernet52 51 25G 9216 none Ethernet52 N/A down up N/A none N/A
Ethernet53 52 25G 9216 none Ethernet53 N/A down up N/A none N/A
Ethernet54 53 10G 9216 none Ethernet54 N/A down up SFP/SFP+/SFP28 none N/A
</data>
</rpc-reply>

We recommend to configure device via edit-config where is possible.

This RPC give a capability to configure multiple physical ports in a time in a different way than edit-config.

Request example to configure port-group

<config-port-group>
<interfaces>1,3-10</interfaces>
<admin-status>false</admin-status>
<ethernet-config>
<auto-negotiate>false</auto-negotiate>
<port-speed>SPEED_1G</port-speed>
<fec>none</fec>
</ethernet-config>
</config-port-group>
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:6327e50b-026e-4824-9183-a004c8c630c0">
<ok/>
</rpc-reply>

Request example to configure PTP on port-group

<config-port-group>
<interfaces>1-3</interfaces>
<ptp>
<instance-number>0</instance-number>
<port-ds>
<port-enable>true</port-enable>
<port-state>master</port-state>
<dscp>56</dscp>
<log-sync-interval>-3</log-sync-interval>
<log-announce-interval>0</log-announce-interval>
<ptp-vlan>Vlan100</ptp-vlan>
</port-ds>
</ptp>
</config-port-group>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:6327e50b-026e-4824-9183-a004c8c630c0">
<ok/>
</rpc-reply>

PTP instance must be created before binding to port-group ports.

Only one port-state of slave is allowed per PTP instance.

ptp-vlan requires the port to be a member of the specified VLAN.

It’s recommended to configure device via edit-config where is possible.

Please create portchannels and vlans before calling config-lag-group

This RPC give a capability to configure multiple Portchannels in a time in a different way than edit-config.

request example to configure-lag-group

<config-lag-group>
<lags>1-4</lags>
<vlan-group-config>
<vlan-ranges>1,3-10</vlan-ranges>
<tagging-mode>tagged</tagging-mode>
</vlan-group-config>
</config-lag-group>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:bbee64c4-e5e4-4800-b9fd-7a7e9e55e095">
<ok/>
</rpc-reply>

This RPC can have clear vlan membership on given physical port. If the port has been added to any vlan, will be removed from vlan after this RPC called.

Request example to clear vlan membership via rpc clear-vlan-membership

<clear-vlan-membership>
<interface>Ethernet1</interface>
</clear-vlan-membership>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:899ffe4b-c837-41ea-8e9f-181c2db39f47">
<ok/>
</rpc-reply>

This RPC can have clear router interface on given physical port. If the port has been configured as L3 interface, will be changed to L2 mode after this RPC called.

Reqeust example to clear router interface via rpc clear-router-interface

<clear-router-interface>
<interface>Ethernet11</interface>
</clear-router-interface>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:4758a538-5c4b-44a3-a259-b7e1d500d415">
<ok/>
</rpc-reply>

This RPC shows detailed information of all interface ips in a table format.

Request example to show ip interface via rpc show-ip-interface

<show-ip-interface/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:ccb4faeb-0964-4fcb-9527-465709fed801">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
Interface Master IPv4 address/mask Admin/Oper BGP Neighbor Neighbor IP
----------- -------- ------------------- ------------ -------------- -------------
Loopback0 10.1.0.1/32 up/up N/A N/A
</data>
</rpc-reply>

This RPC shows detailed information of all interface ipv6 in a table format.

Request example to show ipv6 interface via rpc show-ipv6-interface

<show-ipv6-interface/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:2bb8992e-bc30-476a-ad47-f4d7113be8e0">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
Interface Master IPv6 address/mask Admin/Oper BGP Neighbor Neighbor IP
----------- -------- ------------------- ------------ -------------- -------------
Ethernet11 200::1/24 up/up N/A N/A
</data>
</rpc-reply>

This RPC shows detailed information of all interface urpf in a table format.

Request example to show interface urpf via rpc show-interface-urpf

<show-interface-urpf/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f994b98f-d5b4-49b6-a5df-8e5fd1d569ba">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
Interfaces Status
------------ --------
Ethernet11 strict
Ethernet14 loose
</data>
</rpc-reply>

This RPC shows detailed information of all interface error down status in a table format.

Request example to show interface error down status via rpc show-interface-errdown

<show-interface-errdown/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:7f6ed84a-ebd8-42dc-83b0-73f62b62b19c">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
<errdown-info>
<interface>Ethernet1</interface>
<state>up</state>
</errdown-info>
<errdown-info>
<interface>Ethernet2</interface>
<state>up</state>
</errdown-info>
<errdown-info>
<interface>Ethernet3</interface>
<state>up</state>
</errdown-info>
<errdown-info>
<interface>Ethernet4</interface>
<state>up</state>
</errdown-info>
<!-- more -->
<errdown-info>
<interface>Ethernet73</interface>
<state>up</state>
</errdown-info>
<errdown-info>
<interface>Ethernet77</interface>
<state>up</state>
</errdown-info>
</data>
</rpc-reply>

This RPC shows detailed information of all interface port info in a CLI format.

Request example to show interface port info via rpc show-interface-port

<show-interface-port>
<interface>Ethernet11</interface>
</show-interface-port>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:5c8da3e6-574e-4886-82ba-e949ec34535f">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
Ethernet11 is up, line protocol is up
Hardware is Eth
Interface index is 11
Description:
Mode of IPV4 address assignment: not-set
Mode of IPV6 address assignment: not-set
IP MTU 1500 bytes
LineSpeed 25.0G
Input statistics:
0 packets, 0 octets
0 Multicasts, 0 Broadcasts, 0 Unicasts
0 error, 0 discarded
0 ipv4Packets, 0 ipv4Octets
0 ipv6Packets, 0 ipv6Octets
Output statistics:
2348 packets, 650,848 octets
2,348 Multicasts, 0 Broadcasts, 0 Unicasts
0 error, 0 discarded
0 ipv4Octets, 1,996 ipv6Octets
</data>
</rpc-reply>

This RPC shows a summary of all sub-interfaces in a table format.

Request example to show sub-interface summary via rpc show-sub-interface

<show-sub-interface/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:44e74fc3-aeb0-4787-bf7f-327bc3d8a030">
<data xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
Sub port interface Speed MTU Vlan Admin Type
-------------------- ------- ----- ------ ------- --------------------
Po0013.6 25G 9216 6 up 802.1q-encapsulation
</data>
</rpc-reply>

Tree Diagram

module: asternos-ports
augment /if:interfaces/if:interface:
+--rw ethernet-config
+--rw bandwidth-util-warn
+--rw l2-protocol-control
+--rw link-flapping

Tree Diagram

module: asternos-ports
augment /if:interfaces/if:interface:
+--rw ethernet-config
+--rw bandwidth-util-warn
+--rw l2-protocol-control
+--rw link-flapping

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6

Tree Diagram

module: asternos-ports
augment /if:interfaces/if:interface:
+--rw ethernet-config
+--rw bandwidth-util-warn
+--rw l2-protocol-control
+--rw link-flapping

Tree Diagram

module: asternos-ports
augment /if:interfaces/if:interface:
+--rw ethernet-config
+--rw bandwidth-util-warn
+--rw l2-protocol-control
+--rw link-flapping

Tree Diagram

module: asternos-interfaces
+--rw interfaces
+--rw interface* [name]
+--rw name union
+--rw description? cmn:description-type
+--rw admin-status? boolean
+--rw interface-mode? enumeration
+--ro oper-status? boolean
+--ro error-down-status? boolean
+--ro error-down-reason? string
+--rw mac-address? yang:mac-address
+--rw mtu? if:mtu-type
+--rw vrf? vrf:vrf-ref
+--rw tpid? string
+--rw urpf-mode? enumeration
+--rw pbr-policy? string
+--rw ipv6-link-local? boolean
+--rw suppress-ra? boolean
+--rw (interval)?
| +--:(seconds)
| | +--rw ra-interval? uint32
| +--:(milliseconds)
| +--rw ra-interval-msec? uint32
+--ro statistics
+--ro in-octets? yang:counter64
+--ro in-unicast-pkts? yang:counter64
+--ro in-broadcast-pkts? yang:counter64
+--ro in-multicast-pkts? yang:counter64
+--ro in-discards? yang:counter64
+--ro in-errors? yang:counter64
+--ro in-ipv4-pkts? yang:counter64
+--ro in-ipv4-octets? yang:counter64
+--ro in-ipv6-pkts? yang:counter64
+--ro in-ipv6-octets? yang:counter64
+--ro out-octets? yang:counter64
+--ro out-unicast-pkts? yang:counter64
+--ro out-broadcast-pkts? yang:counter64
+--ro out-multicast-pkts? yang:counter64
+--ro out-discards? yang:counter64
+--ro out-errors? yang:counter64
+--ro out-ipv4-octets? yang:counter64
+--ro out-ipv6-octets? yang:counter64
+--ro dhcp-snooping-drop-pkts? yang:counter64

Table of Properties

NameRequiredType/RangeDescription
interfacesMPath-only node, has no configurable value.
Interface parameters.
interfaceMPath-only node, has no configurable value.
The list of interfaces on the device.
nameOEthernet nameThe name of the interface.
descriptionOcmn:description-typeA textual description of the interface.
admin-statusO”true"
"false”
This leaf contains the configured, desired state of the interface.
Default value: True
interface-modeO”routed"
"trunk"
"none”
Set the interface to access, trunk, none mode.

VLAN and IP interface configuration may be automatically deleted after changing this field.
oper-statusRO”true"
"false”
The current operational state of the interface.
error-down-statusRO”true"
"false”
The current error down state of the interface.
error-down-reasonROstringThe current reason for error down state of the interface.
mac-addressOyang:mac-addressThe interface’s address at its protocol sub-layer. For example, for an 802.x interface, this object normally contains a Media Access Control (MAC) address. The interface’s media-specific modules must define the bit and byte ordering and the format of the value of this object. For interfaces that do not have such an address (e.g., a serial line), this node is not present.
mtuOif:mtu-typeSet the max transmission unit size in octets for the physical interface. If this is not set, the mtu is set to the operational default
Default value: 9216
vrfOvrf:vrf-refSet interface VRF.
tpidOstringSet the TPID value for the interface. The default is 0x8100.
Default value: 0x8100
urpf-modeO”disable"
"loose"
"strict”
The URPF in STRICT mode requires packet source address to LPM some route in FIB, AND next-hop of this route must be interface packet was received on.

The URPF in LOOSE mode requires packet source address to LPM some route in FIB.

This leaf is irrelevalnt and should be ignored if URPF is not enabled.
pbr-policyOstringName of the pbr-map to apply.Only support in ethernet and portchannel, not support sub interface.
ipv6-link-localO”true"
"false”
Set ipv6 use link local.
Default value: False
suppress-raO”true"
"false”
Set to ‘true’ to suppress IPv6 Router Advertisements on this interface.

When ‘false’ or not set, RA is enabled and the interval can be configured using one of the interval options below.
ra-intervalO1..1800Maximum RA interval in seconds.

Example: ‘ipv6 nd ra-interval 5’ sets max interval to 5 seconds.
ra-interval-msecO70..1800000Maximum RA interval in milliseconds.

Example: ‘ipv6 nd ra-interval msec 500’ sets max interval to 500 ms.
statisticsROPath-only node, has no configurable value.
A collection of interface-related statistics objects.
in-octetsROyang:counter64The total number of octets received on the interface, including framing characters.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
in-unicast-pktsROyang:counter64The number of packets, delivered by this sub-layer to a higher (sub-)layer, that were not addressed to a multicast or broadcast address at this sub-layer.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
in-broadcast-pktsROyang:counter64The number of packets, delivered by this sub-layer to a higher (sub-)layer, that were addressed to a broadcast address at this sub-layer.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
in-multicast-pktsROyang:counter64The number of packets, delivered by this sub-layer to a higher (sub-)layer, that were addressed to a multicast address at this sub-layer. For a MAC-layer protocol, this includes both Group and Functional addresses.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
in-discardsROyang:counter64The number of inbound packets that were chosen to be discarded even though no errors had been detected to prevent their being deliverable to a higher-layer protocol. One possible reason for discarding such a packet could be to free up buffer space.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
in-errorsROyang:counter64For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol. For character- oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
in-ipv4-pktsROyang:counter64The total number of input IPv4 datagrams received.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
in-ipv4-octetsROyang:counter64The total number of octets received in input IPv4 datagrams.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
in-ipv6-pktsROyang:counter64The total number of input IPv6 datagrams received.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
in-ipv6-octetsROyang:counter64The total number of octets received in input IPv6 datagrams.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
out-octetsROyang:counter64The total number of octets transmitted out of the interface, including framing characters.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
out-unicast-pktsROyang:counter64The total number of packets that higher-level protocols requested be transmitted and that were not addressed to a multicast or broadcast address at this sub-layer, including those that were discarded or not sent.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
out-broadcast-pktsROyang:counter64The total number of packets that higher-level protocols requested be transmitted and that were addressed to a broadcast address at this sub-layer, including those that were discarded or not sent.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
out-multicast-pktsROyang:counter64The total number of packets that higher-level protocols requested be transmitted and that were addressed to a multicast address at this sub-layer, including those that were discarded or not sent. For a MAC-layer protocol, this includes both Group and Functional addresses.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
out-discardsROyang:counter64The number of outbound packets that were chosen to be discarded even though no errors had been detected to prevent their being transmitted. One possible reason for discarding such a packet could be to free up buffer space.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
out-errorsROyang:counter64For packet-oriented interfaces, the number of outbound packets that could not be transmitted because of errors.

For character-oriented or fixed-length interfaces, the number of outbound transmission units that could not be transmitted because of errors.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
out-ipv4-octetsROyang:counter64The total number of octets in output IPv4 datagrams.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
out-ipv6-octetsROyang:counter64The total number of octets in output IPv6 datagrams.

Discontinuities in the value of this counter can occur at re-initialization of the management system and at other times as indicated by the value of ‘discontinuity-time’.
dhcp-snooping-drop-pktsROyang:counter64The total number of packets that were dropped by DHCP snooping.

This statistic relies on the activation of the DHCP snooping function.

When IPSG/DAI/SAVI are enabled, the interface discards all packets except those matching DHCP snooping entries, and this statistic will be accumulated.
ipv4MPath-only node, has no configurable value.
Parameters for the IPv4 address family.
addressMPath-only node, has no configurable value.
The list of IPv4 addresses on the interface.
ip-prefixOinet:ip-prefix
dhcp-allocO”true"
"false”
Indicates whether DHCP is enabled on the interface.

When address is configured, DHCP is automatically set false.
Default value: False
neighborMPath-only node, has no configurable value.
A list of mappings from IPv4 addresses to link-layer addresses.

Entries in this list in the intended configuration are used as static entries in the ARP Cache.

In the operational state, this list represents the ARP

Cache.
ipOinet:ipv4-address-no-zoneThe IPv4 address of the neighbor node.
mac-addressMyang:mac-addressThe link-layer address of the neighbor node.
originRO”other"
"static"
"dynamic”
The origin of this neighbor entry.
ipv6MPath-only node, has no configurable value.
Parameters for the IPv6 address family.
addressMPath-only node, has no configurable value.
The list of IPv6 addresses on the interface.
ip-prefixOinet:ip-prefix
neighborMPath-only node, has no configurable value.
A list of mappings from IPv6 addresses to link-layer addresses.

Entries in this list in the intended configuration are used as static entries in the Neighbor Cache.

In the operational state, this list represents the

Neighbor Cache.
ipOinet:ipv6-address-no-zoneThe IPv6 address of the neighbor node.
mac-addressMyang:mac-addressThe link-layer address of the neighbor node.

In the operational state, if the neighbor’s ‘state’ leaf is ‘incomplete’, this leaf is not instantiated.
originRO”other"
"static"
"dynamic”
The origin of this neighbor entry.
is-routerROemptyIndicates that the neighbor node acts as a router.
stateRO”incomplete"
"reachable"
"stale"
"delay"
"probe”
The Neighbor Unreachability Detection state of this entry.
router-advertisementMPath-only node, has no configurable value.
Support for IPv6 Router Advertisements.
managed-flagO”true"
"false”
The value to be placed in the ‘Managed address configuration’ flag field in the Router

Advertisement.
Default value: False
other-config-flagO”true"
"false”
The value to be placed in the ‘Other configuration’ flag field in the Router Advertisement.
Default value: False
link-mtuOcmn:mtu-typeThe value to be placed in MTU options sent by the router. A value of zero indicates that no MTU options are sent.
Default value: 9216
on-link-flagO”true"
"false”
The value to be placed in the on-link flag (‘L-bit’) field in the Prefix Information option.
Default value: True
autonomous-flagO”true"
"false”
The value to be placed in the Autonomous Flag field in the Prefix Information option.
Default value: True
prefixesMPath-only node, has no configurable value.
Support for an advertised prefix entry.
prefixOinet:ipv6-prefixIPv6 address prefix.
rdnssesMPath-only node, has no configurable value.
Support for an advertised prefix entry.
rdnssOinet:ipv6-address-no-zoneIPv6 address.
routesMPath-only node, has no configurable value.
Support for an advertised prefix entry.
routeOinet:ipv6-prefixIPv6 address prefix.
preferredO”low"
"medium"
"high”
The value to be placed in the Route Preference in the Route Information option.

The preference associated with the default router, as either ‘low’, ‘medium’, or ‘high’.
Default value: medium
ethernet-configMPath-only node, has no configurable value.
auto-negotiateO”true"
"false”
Set interface speed auto negotiation. Default enabled for all 1G/2.5G/10G/25G ports, disabled for 40G/100G/400G ports.
Default value: False
port-speedO”SPEED_10M"
"SPEED_100M"
"SPEED_10G"
"SPEED_25G"
"SPEED_2_5G"
"SPEED_40G"
"SPEED_1G"
"SPEED_100G”
When auto-negotiate is TRUE, this optionally sets the port-speed mode that will be advertised to the peer for negotiation. If unspecified, it is expected that the interface will select the highest speed available based on negotiation. When auto-negotiate is set to FALSE, sets the link speed to a fixed value — supported values are defined by PORT_SPEED identities
fecO”rs"
"fc"
"none”
Set interface fec.
Default value: rs
lanesROintegerlanes of Ethernet.eg: lanes of Ethernet1 is 1
indexROintegerindex of Ethernet, eg: index of Ethernet1 is 1
aliasROstringalias of Ethernet. eg: alias of Ethernet1 is Y2
mac-address-learningO”true"
"false”
Set interface mac-address learning, only support for vlan and its members.
Default value: True
unknown-unicast-actionO”flood"
"drop”
Set the unknown unicast packets forwarding action
unknown-multicast-actionO”flood"
"drop”
Set the unknown multicast packets forwarding action
broadcast-actionO”flood"
"drop”
Set the broadcast packets forwarding action
startup-delayO0..600when fisrt admin up, delay few seconds to wait hardware or software initdone
loopbackO”internal"
"none”
Set interface loopback mode.
loopback-bindingO”srv6"
"none”
Set loopback binding mode.
bandwidth-util-warnMPath-only node, has no configurable value.
Configure interface bandwidth utilization alarm threshold
rx-alert-thresholdO50..100Default value: 80
rx-resume-thresholdO50..100Default value: 75
tx-alert-thresholdO50..100Default value: 80
tx-resume-thresholdO50..100Default value: 75
l2-protocol-controlMPath-only node, has no configurable value.
Disable Layer 2 protocol packets trap to the CPU.
l2-protocolMPath-only node, has no configurable value.
l2 protocol control.
protocol-typeO”stp"
"lacp"
"lldp”
l2 protocol name.
disableO”true"
"false”
Control Layer 2 protocol packets trap to the CPU.
link-flappingMPath-only node, has no configurable value.
Interface link flapping detection configuration.
enabledO”true"
"false”
Enable link flapping detection.
actionO”error-down”Link flapping action.
intervalO5..60Link flapping monitoring period.
Default value: 10
thresholdO5..30Frequent UP/DOWN events threshold count.
Default value: 5
poeMPath-only node, has no configurable value.
poe function of interface.
enable-modeO”disable"
"enable"
"high-inrush"
"force”
The poe enable mode of interface.

enable: port POE enable.

high_inrush: port POE enable with ignored inrush check. At the end of port power up flow, ILIM state is ignored and the port will continue to regular ON state.

force: port POE enable withh force power.To supply power to non-compliant PDs that would otherwise be rejected by the standard handshake. Force power mode presents a significant risk of damage to legacy non-PoE devices if connected, as it removes the intrinsic safety protection. It should be enabled only on ports connected to known PoE-capable equipment.
Default value: disable
delayO0..3600This command is used to delay the activation of Power over Etthernet (POE) power supply on an interface based on actual usage requirements. When the uplink link state stabilizes, andthe protocols are running correctly, PoE power is supplied to the connected POE devices. This delay mechanism is usefulfor ensuring that PoE devices receive power only when the network is stable and ready to support them.
priorityO”low"
"high"
"critical”
Set poe power supply priority of this interface.
max-powerO”15w"
"30w"
"30w-at"
"60w"
"90w”
Set Maximum poe power supply, WARNING: not support 90w currently.
legacy-detectO”true"
"false”
Set poe legacy detection
Default value: False
power-off-time-rangeO→ leafrefSet poe power-off period rules.
poe-pd-alive-checkMPath-only node, has no configurable value.
configMPath-only node, has no configurable value.
poe pd alive check configuration of interface.
modeO”disable"
"enable”
Enabled or disabled poe pd alive check functions for port.
Default value: disable
pd-ipOinet:ip-address-no-zoneThe ip address of pd device for alive check.
delayO5..300The delay time for pd alive check after POE power up.
Default value: 60
intervalO10..300The time duration between two pd alive check packets.
Default value: 30
err-thresholdO1..5The threshold of continuous pd alive check failure.
Default value: 3
actionO”reboot"
"alarm”
The action when pd alive check failure reaches the threshold.

reboot: cycle poe power supply.

alarm: alarm on syslog.
Default value: alarm
reboot-intervalO1..180The interval time between two pd power cycle actions.
Default value: 10
stateMPath-only node, has no configurable value.
poe pd alive check status.
err-countROintegerThe current failed counts of pd alive check. It will be reset after POE cycle
aliveRO”true"
"false”
The alive status of PD devices.
Default value: False
last-ping-timeROintegerThe time for last PD alivecheck. It contains the seconds since system power up
transceiverROPath-only node, has no configurable value.
information of transceiver.
lpmodeRO”true"
"false”
low-power mode information of SFP transceiver.
Default value: False
presenceRO”true"
"false”
presence information of SFP transceiver.
Default value: False
eepromROPath-only node, has no configurable value.
Electrically Erasable Programmable ROM(EEPROM) information of SFP transceiver.
application-advertisementROstringEeprom application advertisement.
connectorROstringPhysical connector type used by the transceiver.
encodingROstringEncoding mechanism for serial data.
ext-identifierROstringExtended identifier, providing additional module information.
ext-rateselect-complianceROstringExtended RateSelect compliance, defines supported rate selection mechanism.
typeROstringTransceiver identifier.
cable-lengthROstringSupported cable length.
cable-typeROstringCable type supported.
nominal-bit-rateROstringNominal signaling rate of the transceiver.
specification-complianceROstringCompliance codes indicating supported Ethernet/Fibre Channel standards.
vendor-dateROstringVendor manufacturing date code (YYYY-MM-DD).
manufacturerROstringVendor or manufacturer name string.
vendor-ouiROstringVendor Organizationally Unique Identifier in hex.
modelROstringVendor part number (PN) or model identifier of the transceiver.
vendor-revROstringVendor revision string of the part number.
serialROstringUnique serial number assigned by the vendor.
domROPath-only node, has no configurable value.
Digital Optical Monitoring (DOM) data.
rx1powerROstringReceived optical power on channel 1.
rx2powerROstringReceived optical power on channel 2.
rx3powerROstringReceived optical power on channel 3.
rx4powerROstringReceived optical power on channel 4.
tx1biasROstringLaser bias current on channel 1.
tx2biasROstringLaser bias current on channel 2.
tx3biasROstringLaser bias current on channel 3.
tx4biasROstringLaser bias current on channel 4.
tx1powerROstringTransmitted optical power on channel 1.
tx2powerROstringTransmitted optical power on channel 2.
tx3powerROstringTransmitted optical power on channel 3.
tx4powerROstringTransmitted optical power on channel 4.
txpowerhighalarmROstringHigh alarm threshold for TX optical power.
txpowerlowalarmROstringLow alarm threshold for TX optical power.
txpowerhighwarningROstringHigh warning threshold for TX optical power.
txpowerlowwarningROstringLow warning threshold for TX optical power.
rxpowerhighalarmROstringHigh alarm threshold for RX optical power.
rxpowerlowalarmROstringLow alarm threshold for RX optical power.
rxpowerhighwarningROstringHigh warning threshold for RX optical power.
rxpowerlowwarningROstringLow warning threshold for RX optical power.
txbiashighalarmROstringHigh alarm threshold for TX bias current.
txbiaslowalarmROstringLow alarm threshold for TX bias current.
txbiashighwarningROstringHigh warning threshold for TX bias current.
txbiaslowwarningROstringLow warning threshold for TX bias current.
temphighalarmROstringHigh alarm threshold for module temperature.
templowalarmROstringLow alarm threshold for module temperature.
temphighwarningROstringHigh warning threshold for module temperature.
templowwarningROstringLow warning threshold for module temperature.
vcchighalarmROstringHigh alarm threshold for supply voltage.
vcclowalarmROstringLow alarm threshold for supply voltage.
vcchighwarningROstringHigh warning threshold for supply voltage.
vcclowwarningROstringLow warning threshold for supply voltage.
temperatureROstringCurrent module temperature.
voltageROstringCurrent supply voltage.
vlan-configMPath-only node, has no configurable value.
VLAN related configuration that is part of the physical

Ethernet interface.
vlanMPath-only node, has no configurable value.
vlan-idOcmn:vlan-idVLAN identity
tagging-modeO”tagged"
"untagged”
Specifies the type of interface as a vlan member
Default value: tagged
untagged-enableO”true"
"false”
Specifies whether to strip vlan tag when interface is joined to vlan in tagging mode
Default value: False
arp-dynamic-learningMPath-only node, has no configurable value.
ARP dynamic learning on interfaces.
modeO”disable"
"default"
"anycast_gw”
ARP proxy mode.
Default value: disable
nd-dynamic-learningMPath-only node, has no configurable value.
ARP dynamic learning on interfaces.
nd-modeO”disable"
"default"
"anycast_gw”
ND proxy mode.
Default value: disable
vlan-translationMPath-only node, has no configurable value.
basic-qinq-enableO”true"
"false”
When true, all packet coming in from this port will be added with a PVID VLAN tag whether it is tagged or not.
stackingsMPath-only node, has no configurable value.
stackingMPath-only node, has no configurable value.
VLAN stack configuration
original-vlanO0..4094The original VLAN ID of the packet.

When the ‘original-vlan’ is 0, it means that all untagged packets will be tagged with both service VLAN and customer VLAN.

When the ‘original-vlan’ is not 0, it means the packets only carrying the specified VLAN ID will be tagged with service VLAN.
customer-vlanOcmn:vlan-idThe customer VLAN to be tagged for those untagged packets.
service-vlanMcmn:vlan-idThe service VLAN to be tagged.
remark-tcO0..7The remarking value for the traffic class of the packet.
upstream-portMcmn:ethernet-port-nameThe upstream port of NNI.

Only when the ‘original-vlan’ is 0, this leaf is mandatory,

Otherwise, it can’t be set.
mappingsMPath-only node, has no configurable value.
VLAN mapping configuration.
mappingMPath-only node, has no configurable value.
VLAN mapping configuration.
original-vlanOcmn:vlan-idThe original VLAN ID of the packet.
stageO”ingress"
"egress"
"both”
The stage of the mapping.
mapping-vlanOcmn:vlan-idThe mapping VLAN ID, ‘original-vlan’ will be mapped to this VLAN ID.
ingress-policer-nameO→ leafrefTraffic behavior for port
mac-securityMPath-only node, has no configurable value.
port-securityMPath-only node, has no configurable value.
Port security configurations for port
enabledO”true"
"false”
Enable port security on this interface.
Default value: False
sticky-enabledO”true"
"false”
Enable sticky MAC on this interface.
Default value: False
violation-actionO”protect"
"restrict"
"shutdown”
Action to take when security violation occurs
Default value: restrict
maximumOintegerMaximum number of secure MAC addresses allowed on this port
Default value: 1
secure-addressesMPath-only node, has no configurable value.
secure-addressMPath-only node, has no configurable value.
Statically configured secure MAC addresses
mac-addressOyang:mac-addressStatic secure MAC address
vlan-idO1..4094
mac-limitMPath-only node, has no configurable value.
maximumO0..32000Set LAG dynamic MAC quantity limit.
mac-learning-priorityMPath-only node, has no configurable value.
priorityO”low"
"high”
Set interface MAC learning priority.
mac-learning-groupO0..15Address movement between same priority interfaces is allowed only if both interfaces belong to the same learning group.
mac-scan-enabledO”true"
"false”
VLAN level MAC scan enable.
Default value: False
mac-scan-ipsOstringmac-scan ip-ranges; supports comma-separated prefixes/ranges, e.g. ‘80.0.0.1-90.0.0.2,91.0.0.1/24-91.0.0.5/24,92.0.0.3/24,93.0.0.2’.

Tree Diagram

module: asternos-interfaces
+--rw interfaces

Tree Diagram

module: asternos-portchannels
+--rw portchannels

Tree Diagram

module: asternos-portchannels
+--rw portchannels
+--rw portchannel* [name]
+--rw name string
+--rw mac-address-learning? boolean
+--rw mode? enumeration
+--rw commit? boolean
+--rw lacp
| +--rw system-priority? uint16
| +--rw fallback? boolean
| +--rw fast-rate? boolean
| +--rw system-id? ietf-yang-types:mac-address
+--rw members
+--rw member* [port]
+--rw port cmn:ethernet-port-name
+--rw lacp-port-priority? uint16

Table of Properties

NameRequiredType/RangeDescription
portchannelsMPath-only node, has no configurable value.
portchannelMPath-only node, has no configurable value.
The list of interfaces on the device.
nameONoneThe name of the PortChannel and PortChannel sub interface.
mac-address-learningO”true"
"false”
Set interface mac-address learning, only support for vlan and its members.
Default value: True
modeO”lacp"
"static”
Choose port-channel mode: lacp for running LACP protocol, static for static load banlancing among members
Default value: static
commitO”true"
"false”
This is a special leaf to control behavior of server while processing configuration.

If set to false, configurations within this block setting to running datastore WOULD NOT be synchronized to operational datastore automatically.

If true, configurations will be synchronized to operational datastore automatically.

In most cases, this is useless and can be ignored.
Default value: True
lacpMPath-only node, has no configurable value.
LACP Protocol configuration of portchannels
system-priorityO0..65535The LACP system priority identifies the master switch ot the LAG.

The system with the lower system priority is preferred.
Default value: 65535
fallbackO”true"
"false”
The fallback mode brings up one of the LACP member ports to ‘UP’ state before an LACP PDU is received by the LAG.
Default value: False
fast-rateO”true"
"false”
Fast-rate allows the LACP peer to send LACP PDUs at a rate of one per second after synchronization.

The default rate is one per 30 seconds.
Default value: False
system-idOietf-yang-types:mac-addressChange LACP system id. Default to the system MAC
membersMPath-only node, has no configurable value.
memberMPath-only node, has no configurable value.
portOcmn:ethernet-port-name
lacp-port-priorityOintegerThe port priority determines which ports should be put in standby mode when there is a hardware limitation that prevents all compatible ports from aggregating.

Ports with lower port-priority are preferred.

Tree Diagram

module: asternos-ports
+--rw ports-global
+--rw link-delay? uint16
augment /if:interfaces/if:interface:
+--rw ethernet-config
+--rw bandwidth-util-warn
+--rw l2-protocol-control
+--rw link-flapping

Table of Properties

NameRequiredType/RangeDescription
ports-globalMPath-only node, has no configurable value.
link-delayO2..100When the physical state of an interface changes from down to up, wait for a period of time before reporting the interface up event to prevent frequent network status changes caused by interface status oscillations

Tree Diagram

module: asternos-interfaces
rpcs:
+---x clear-counters-interface
+--ro output
+--ro data? string

Table of Properties

NameRequiredType/RangeDescription
clear-counters-interfaceO
dataOstringthe result of clear counters interface.

Tree Diagram

module: asternos-interfaces
rpcs:
+---x clear-dhcp-snooping-drop-pkts
+--ro output
+--ro data? string

Table of Properties

NameRequiredType/RangeDescription
clear-dhcp-snooping-drop-pktsO
dataOstringthe result of clear dhcp snooping drop packets counters.

Tree Diagram

module: asternos-interfaces
rpcs:
+---x clear-router-interface
+---w input
+---w interface string

Table of Properties

NameRequiredType/RangeDescription
clear-router-interfaceO
interfaceMstringThe name of the interface.

Tree Diagram

module: asternos-interfaces
rpcs:
+---x clear-vlan-membership
+---w input
+---w interface string

Table of Properties

NameRequiredType/RangeDescription
clear-vlan-membershipO
interfaceMstringThe name of the interface.

Tree Diagram

module: asternos-interfaces
rpcs:
+---x config-lag-group
+---w input
+---w lags? interface-ids
+---w operation? rpc-operation-type
+---w vlan-group-config
+---w vlan-ranges? vlan-range
+---w tagging-mode? enumeration
+---w untagged-enable? boolean

Table of Properties

NameRequiredType/RangeDescription
config-lag-groupO
lagsONonePort group lags on the device, eg: 1-3,5,7
operationO”create"
"merge"
"delete”
RPC operation
Default value: merge
vlan-group-configMPath-only node, has no configurable value.
VLAN related configuration that is part of the physical

Ethernet interface.
vlan-rangesOType definition representing a range of single-tagged VLANs. A range is specified as x-y where x and y are valid VLAN IDs (1 <= vlan-id <= 4094). The range is assumed to be inclusive, such that any VLAN-ID matching x <= VLAN-ID <= y falls within the range.

If there is more than one range, use the expression x1-y1,x2-y2
Ranges of VLAN IDs, e.g. 100-200,300-400
tagging-modeO”tagged"
"untagged”
Specifies the type of interface as a vlan member
Default value: tagged
untagged-enableO”true"
"false”
Specifies whether to strip vlan tag when interface is joined to vlan in tagging mode
Default value: False

Tree Diagram

module: asternos-interfaces
rpcs:
+---x config-port-group
+---w input
+---w interfaces interface-ids
+---w operation? rpc-operation-type
+---w admin-status? boolean
+---w ethernet-config
| +---w startup-delay? uint16
| +---w port-speed? identityref
| +---w auto-negotiate? boolean
+---w vlan-group-config
| +---w vlan-ranges? vlan-range
| +---w tagging-mode? enumeration
| +---w untagged-enable? boolean
+---w link-flapping
| +---w enabled? boolean
| +---w action? enumeration
| +---w interval? uint16
| +---w threshold? uint16
+---w lldp
| +---w status? enumeration
| +---w vid? uint32
| +---w vlan-type? enumeration
| +---w priority? uint32
| +---w dscp? uint32
+---w monitor-link
| +---w name? string
| +---w mode enumeration
+---w poe
| +---w enable-mode? enumeration
| +---w delay? uint16
| +---w priority? enumeration
| +---w max-power? enumeration
| +---w legacy-detect? boolean
| +---w power-off-time-range? -> /time-range:time-ranges/time-range/name
+---w poe-pd-alive-check
| +---w config
| | +---w mode? enumeration
| | +---w pd-ip? inet:ip-address-no-zone
| | +---w delay? uint16
| | +---w interval? uint16
| | +---w err-threshold? uint8
| | +---w action? enumeration
| | +---w reboot-interval? uint16
| +---w state
| +---w err-count? uint32
| +---w alive? boolean
| +---w last-ping-time? uint64
+---w qos-map
| +---w dscp-tc-map-name? string
| +---w dot1p-tc-map-name? string
| +---w mpls-exp-tc-map-name? string
| +---w tc-dscp-map-name? string
| +---w tc-dot1p-map-name? string
| +---w tc-mpls-exp-map-name? string
+---w ptp
+---w instance-number uint32
+---w port-ds
+---w log-announce-interval? int8
+---w announce-receipt-timeout? uint8
+---w log-sync-interval? int8
+---w log-min-delay-req-interval? int8
+---w log-min-pdelay-req-interval? int8
+---w asymmetry-correction? int32
+---w dscp? uint8
+---w port-state? af-ptp-types:port-state-enumeration
+---w port-enable? boolean
+---w port-number? uint16
+---w unicast-master-table* [address]
| +---w address inet:ip-address-no-zone
+---w source-ip-address? inet:ip-address-no-zone
+---w ptp-vlan? cmn:vlan-name
+---w priority? uint8

Table of Properties

NameRequiredType/RangeDescription
config-port-groupO
interfacesMNonePort group interfaces on the device, eg: 1-3,5,7
operationO”create"
"merge"
"delete”
RPC operation
Default value: merge
admin-statusO”true"
"false”
This leaf contains the configured, desired state of the interface.
ethernet-configMPath-only node, has no configurable value.
startup-delayO0..600when fisrt admin up, delay few seconds to wait hardware or software initdone
port-speedO”SPEED_10M"
"SPEED_10G"
"SPEED_100M"
"SPEED_2_5G"
"SPEED_25G"
"SPEED_40G"
"SPEED_1G"
"SPEED_100G”
When auto-negotiate is TRUE, this optionally sets the port-speed mode that will be advertised to the peer for negotiation. If unspecified, it is expected that the interface will select the highest speed available based on negotiation. When auto-negotiate is set to FALSE, sets the link speed to a fixed value — supported values are defined by PORT_SPEED identities
auto-negotiateO”true"
"false”
Set interface speed auto negotiation.
Default value: False
vlan-group-configMPath-only node, has no configurable value.
VLAN related configuration that is part of the physical

Ethernet interface.
vlan-rangesOType definition representing a range of single-tagged VLANs. A range is specified as x-y where x and y are valid VLAN IDs (1 <= vlan-id <= 4094). The range is assumed to be inclusive, such that any VLAN-ID matching x <= VLAN-ID <= y falls within the range.

If there is more than one range, use the expression x1-y1,x2-y2
Ranges of VLAN IDs, e.g. 100-200,300-400
tagging-modeO”tagged"
"untagged”
Specifies the type of interface as a vlan member
Default value: tagged
untagged-enableO”true"
"false”
Specifies whether to strip vlan tag when interface is joined to vlan in tagging mode
Default value: False
link-flappingMPath-only node, has no configurable value.
Interface link flapping detection configuration.
enabledO”true"
"false”
Enable link flapping detection.
actionO”error-down”Link flapping action.
intervalO5..60Link flapping monitoring period.
Default value: 10
thresholdO5..30Frequent UP/DOWN events threshold count.
Default value: 5
lldpMPath-only node, has no configurable value.
statusO”tx-only"
"rx-only"
"rx-and-tx"
"disabled”
Administrative status of the local LLDP agent.
Default value: rx-and-tx
vidO1..4094VLAN ID to advertise.
vlan-typeO”tagged"
"untagged”
Set tagged/untagged flag.
Default value: untagged
priorityO0..7MED policy priority.
Default value: 0
dscpO0..63DSCP value to advertise.
Default value: 0
monitor-linkMPath-only node, has no configurable value.
monitor link function of port group.
nameOstringName of the monitor link group
modeM”uplink"
"downlink”
Physical ports can be added to the Monitor link group in the uplink or downlink mode.

When uplink port is up, the downlink port will be up in delay time.

When uplink port is down, the downlink port will be down at once
poeMPath-only node, has no configurable value.
poe function of interface.
enable-modeO”disable"
"enable"
"high-inrush"
"force”
The poe enable mode of interface.

enable: port POE enable.

high_inrush: port POE enable with ignored inrush check. At the end of port power up flow, ILIM state is ignored and the port will continue to regular ON state.

force: port POE enable withh force power.To supply power to non-compliant PDs that would otherwise be rejected by the standard handshake. Force power mode presents a significant risk of damage to legacy non-PoE devices if connected, as it removes the intrinsic safety protection. It should be enabled only on ports connected to known PoE-capable equipment.
Default value: disable
delayO0..3600This command is used to delay the activation of Power over Etthernet (POE) power supply on an interface based on actual usage requirements. When the uplink link state stabilizes, andthe protocols are running correctly, PoE power is supplied to the connected POE devices. This delay mechanism is usefulfor ensuring that PoE devices receive power only when the network is stable and ready to support them.
priorityO”low"
"high"
"critical”
Set poe power supply priority of this interface.
max-powerO”15w"
"30w"
"30w-at"
"60w"
"90w”
Set Maximum poe power supply, WARNING: not support 90w currently.
legacy-detectO”true"
"false”
Set poe legacy detection
Default value: False
power-off-time-rangeO→ leafrefSet poe power-off period rules.
poe-pd-alive-checkMPath-only node, has no configurable value.
configMPath-only node, has no configurable value.
poe pd alive check configuration of interface.
modeO”disable"
"enable”
Enabled or disabled poe pd alive check functions for port.
Default value: disable
pd-ipOinet:ip-address-no-zoneThe ip address of pd device for alive check.
delayO5..300The delay time for pd alive check after POE power up.
Default value: 60
intervalO10..300The time duration between two pd alive check packets.
Default value: 30
err-thresholdO1..5The threshold of continuous pd alive check failure.
Default value: 3
actionO”reboot"
"alarm”
The action when pd alive check failure reaches the threshold.

reboot: cycle poe power supply.

alarm: alarm on syslog.
Default value: alarm
reboot-intervalO1..180The interval time between two pd power cycle actions.
Default value: 10
stateMPath-only node, has no configurable value.
poe pd alive check status.
err-countROintegerThe current failed counts of pd alive check. It will be reset after POE cycle
aliveRO”true"
"false”
The alive status of PD devices.
Default value: False
last-ping-timeROintegerThe time for last PD alivecheck. It contains the seconds since system power up
qos-mapMPath-only node, has no configurable value.
dscp-tc-map-nameOstringDSCP to TC map name.
dot1p-tc-map-nameOstringDot1p to TC map name.
mpls-exp-tc-map-nameOstringMPLS exp to TC map name.
tc-dscp-map-nameOstringTC to DSCP map name.
tc-dot1p-map-nameOstringTC to Dot1p map name.
tc-mpls-exp-map-nameOstringTC to MPLS exp map name.
ptpMPath-only node, has no configurable value.
PTP port configuration for port-group
instance-numberMintegerPTP instance number
port-dsMPath-only node, has no configurable value.
PTP port-ds configuration data
log-announce-intervalO-3..4The base-2 logarithm of the mean announceInterval (mean time interval between successive Announce messages).
announce-receipt-timeoutOintegerThe number of announceIntervals that have to pass without receipt of an Announce message before the occurrence of the event ANNOUNCE_RECEIPT_TIMEOUT_EXPIRES.
log-sync-intervalOintegerThe base-2 logarithm of the mean SyncInterval for multicast messages.
log-min-delay-req-intervalOintegerThe base-2 logarithm of the minDelayReqInterval.
log-min-pdelay-req-intervalOintegerThe base-2 logarithm of the minPdelayReqInterval.
asymmetry-correctionO-100000000..100000000Asymmetrical delay correction value on the interface.
dscpO0..63DSCP of ptp packets sent from the interface.
port-stateOaf-ptp-types:port-state-enumerationCurrent state associated with the port.
Default value: slave
port-enableO”true"
"false”
Indicates if the PTP Port is enabled for PTP operation.
port-numberROintegerThe port-number is allocated by internal process.
unicast-master-tableMPath-only node, has no configurable value.
The list of master ip address for this instance.
addressOinet:ip-address-no-zoneThe master ip address.
source-ip-addressOinet:ip-address-no-zoneThe source ip address of ptp packet.
ptp-vlanOcmn:vlan-nameinterface operating over specific VLAN.
priorityO1..255The priority of the PTP Port.
Default value: 128

Tree Diagram

module: asternos-ports
augment /if:interfaces/if:interface:
+--rw ethernet-config
+--rw bandwidth-util-warn
+--rw l2-protocol-control
+--rw link-flapping
rpcs:
+---x show-bandwidth-util-threshold-warn
+---w input
| +---w interface-name? cmn:ethernet-port-name
+--ro output
+--ro data
+--ro threshold* []
+--ro interface-name? cmn:ethernet-port-name
+--ro rx-alert-threshold? uint32
+--ro rx-resume-threshold? uint32
+--ro tx-alert-threshold? uint32
+--ro tx-resume-threshold? uint32

Table of Properties

NameRequiredType/RangeDescription
show-bandwidth-util-threshold-warnO
interface-nameOcmn:ethernet-port-name
dataMPath-only node, has no configurable value.
thresholdMPath-only node, has no configurable value.
interface-nameOcmn:ethernet-port-name
rx-alert-thresholdOinteger
rx-resume-thresholdOinteger
tx-alert-thresholdOinteger
tx-resume-thresholdOinteger

Tree Diagram

module: asternos-interfaces
rpcs:
+---x show-counters-interface
+---w input
| +---w name? string
| +---w errors-only? boolean
| +---w rates-only? boolean
| +---w raw-stats? boolean
| +---w period? uint8
| +---w all? boolean
| +---w detail? boolean
| +---w json? boolean
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-counters-interfaceO
nameONoneThe name of the interface.
errors-onlyO”true"
"false”
Display interface errors.
rates-onlyO”true"
"false”
Display interface rates.
raw-statsO”true"
"false”
Raw stats (unmodified output of netstat).
periodO0..100Display stats over a specified period (in seconds), default=0.
allO”true"
"false”
Display all the stats counters.
detailO”true"
"false”
Display detailed statistics.
jsonO”true"
"false”
Display in JSON format.
dataOA table that shows counter of interfaces

Tree Diagram

module: asternos-interfaces
rpcs:
+---x show-interface-port
+---w input
| +---w port union
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-interface-portO
portMEthernet nameall - show all ethernet port.

interface name - show specified port.
dataOThe result string of port.

Tree Diagram

module: asternos-interfaces
rpcs:
+---x show-interface-summary
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-interface-summaryO
dataOA table that shows information of all Interface

Tree Diagram

module: asternos-interfaces
rpcs:
+---x show-interface-urpf
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-interface-urpfO
dataOA table that shows urpf mode of all Interface

Tree Diagram

module: asternos-interfaces
rpcs:
+---x show-ip-interface
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ip-interfaceO
dataOA table that shows information of all Interface with IPv4 address

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6
rpcs:
+---x show-ipv4-neighbor-summary
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ipv4-neighbor-summaryO
dataODispaly summary info of IPv4 neighbors.

Tree Diagram

module: asternos-interfaces
rpcs:
+---x show-ipv6-interface
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ipv6-interfaceO
dataOA table that shows information of all Interface with IPv6 address

Tree Diagram

module: asternos-ip
augment /if:interfaces/if:interface:
+--rw ipv4
+--rw ipv6
rpcs:
+---x show-ipv6-neighbor-summary
+---w input
| +---w ip? inet:ipv6-address-no-zone
| +---w interface? union
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-ipv6-neighbor-summaryO
ipOinet:ipv6-address-no-zoneThe IPv6 address of the neighbor node.
interfaceOEthernet name
→ leafref
The name of the interface needs to show IPv6 neighbors.
dataODispaly summary info of IPv6 neighbors.

Tree Diagram

module: asternos-portchannels
rpcs:
+---x show-link-aggregation-summary
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-link-aggregation-summaryO
dataOA table that shows information of all link-aggregation

Tree Diagram

module: asternos-interfaces
rpcs:
+---x show-sub-interface
+---w input
| +---w interface? string
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-sub-interfaceO
interfaceONoneThe name of the ethernet or PortChannel sub-interface.
dataOA table that shows information of sub-ethernet interface